<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Param ServiceType
 * @subpackage Services
 */
class Param extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named paramTasimaTurleri
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ParamTasimaTurleri $parameters
     * @return \StructType\ParamTasimaTurleriResponse|bool
     */
    public function paramTasimaTurleri(\StructType\ParamTasimaTurleri $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->paramTasimaTurleri($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named paramYukTuru
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ParamYukTuru $parameters
     * @return \StructType\ParamYukTuruResponse|bool
     */
    public function paramYukTuru(\StructType\ParamYukTuru $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->paramYukTuru($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named paramTehlikeliMaddeTasimaSekli
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ParamTehlikeliMaddeTasimaSekli $parameters
     * @return \StructType\ParamTehlikeliMaddeTasimaSekliResponse|bool
     */
    public function paramTehlikeliMaddeTasimaSekli(\StructType\ParamTehlikeliMaddeTasimaSekli $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->paramTehlikeliMaddeTasimaSekli($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named paramYukTuruBozulabilirGida
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ParamYukTuruBozulabilirGida $parameters
     * @return \StructType\ParamYukTuruBozulabilirGidaResponse|bool
     */
    public function paramYukTuruBozulabilirGida(\StructType\ParamYukTuruBozulabilirGida $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->paramYukTuruBozulabilirGida($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named paramYukBirimi
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ParamYukBirimi $parameters
     * @return \StructType\ParamYukBirimiResponse|bool
     */
    public function paramYukBirimi(\StructType\ParamYukBirimi $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->paramYukBirimi($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named paramTehlikeMaddeMuafiyetTurleri
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\ParamTehlikeMaddeMuafiyetTurleri $parameters
     * @return \StructType\ParamTehlikeMaddeMuafiyetTurleriResponse|bool
     */
    public function paramTehlikeMaddeMuafiyetTurleri(\StructType\ParamTehlikeMaddeMuafiyetTurleri $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->paramTehlikeMaddeMuafiyetTurleri($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\ParamTasimaTurleriResponse|\StructType\ParamTehlikeliMaddeTasimaSekliResponse|\StructType\ParamTehlikeMaddeMuafiyetTurleriResponse|\StructType\ParamYukBirimiResponse|\StructType\ParamYukTuruBozulabilirGidaResponse|\StructType\ParamYukTuruResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
