<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Vize ServiceType
 * @subpackage Services
 */
class Vize extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named vizeOnBasvuru
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\VizeOnBasvuru $parameters
     * @return \StructType\VizeOnBasvuruResponse|bool
     */
    public function vizeOnBasvuru(\StructType\VizeOnBasvuru $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->vizeOnBasvuru($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named vizeOnBasvuruSurucuEkle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\VizeOnBasvuruSurucuEkle $parameters
     * @return \StructType\VizeOnBasvuruSurucuEkleResponse|bool
     */
    public function vizeOnBasvuruSurucuEkle(\StructType\VizeOnBasvuruSurucuEkle $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->vizeOnBasvuruSurucuEkle($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named vizeOnBasvuruIptal
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\VizeOnBasvuruIptal $parameters
     * @return \StructType\VizeOnBasvuruIptalResponse|bool
     */
    public function vizeOnBasvuruIptal(\StructType\VizeOnBasvuruIptal $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->vizeOnBasvuruIptal($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named vizeOnBasvuruListele
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\VizeOnBasvuruListele $parameters
     * @return \StructType\VizeOnBasvuruListeleResponse|bool
     */
    public function vizeOnBasvuruListele(\StructType\VizeOnBasvuruListele $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->vizeOnBasvuruListele($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named vizeOnBasvuruDetay
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\VizeOnBasvuruDetay $parameters
     * @return \StructType\VizeOnBasvuruDetayResponse|bool
     */
    public function vizeOnBasvuruDetay(\StructType\VizeOnBasvuruDetay $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->vizeOnBasvuruDetay($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\VizeOnBasvuruDetayResponse|\StructType\VizeOnBasvuruIptalResponse|\StructType\VizeOnBasvuruListeleResponse|\StructType\VizeOnBasvuruResponse|\StructType\VizeOnBasvuruSurucuEkleResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
