<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for uetdsVizeBasvuruListeSonuc StructType
 * @subpackage Structs
 */
class UetdsVizeBasvuruListeSonuc extends AbstractStructBase
{
    /**
     * The sonucKodu
     * @var int
     */
    public $sonucKodu;
    /**
     * The sonucMesaji
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sonucMesaji;
    /**
     * The basvuruListesi
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SinirVizeBasvuruListe[]
     */
    public $basvuruListesi;
    /**
     * Constructor method for uetdsVizeBasvuruListeSonuc
     * @uses UetdsVizeBasvuruListeSonuc::setSonucKodu()
     * @uses UetdsVizeBasvuruListeSonuc::setSonucMesaji()
     * @uses UetdsVizeBasvuruListeSonuc::setBasvuruListesi()
     * @param int $sonucKodu
     * @param string $sonucMesaji
     * @param \StructType\SinirVizeBasvuruListe[] $basvuruListesi
     */
    public function __construct($sonucKodu = null, $sonucMesaji = null, array $basvuruListesi = array())
    {
        $this
            ->setSonucKodu($sonucKodu)
            ->setSonucMesaji($sonucMesaji)
            ->setBasvuruListesi($basvuruListesi);
    }
    /**
     * Get sonucKodu value
     * @return int|null
     */
    public function getSonucKodu()
    {
        return $this->sonucKodu;
    }
    /**
     * Set sonucKodu value
     * @param int $sonucKodu
     * @return \StructType\UetdsVizeBasvuruListeSonuc
     */
    public function setSonucKodu($sonucKodu = null)
    {
        // validation for constraint: int
        if (!is_null($sonucKodu) && !(is_int($sonucKodu) || ctype_digit($sonucKodu))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sonucKodu, true), gettype($sonucKodu)), __LINE__);
        }
        $this->sonucKodu = $sonucKodu;
        return $this;
    }
    /**
     * Get sonucMesaji value
     * @return string|null
     */
    public function getSonucMesaji()
    {
        return $this->sonucMesaji;
    }
    /**
     * Set sonucMesaji value
     * @param string $sonucMesaji
     * @return \StructType\UetdsVizeBasvuruListeSonuc
     */
    public function setSonucMesaji($sonucMesaji = null)
    {
        // validation for constraint: string
        if (!is_null($sonucMesaji) && !is_string($sonucMesaji)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sonucMesaji, true), gettype($sonucMesaji)), __LINE__);
        }
        $this->sonucMesaji = $sonucMesaji;
        return $this;
    }
    /**
     * Get basvuruListesi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SinirVizeBasvuruListe[]|null
     */
    public function getBasvuruListesi()
    {
        return isset($this->basvuruListesi) ? $this->basvuruListesi : null;
    }
    /**
     * This method is responsible for validating the values passed to the setBasvuruListesi method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBasvuruListesi method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBasvuruListesiForArrayConstraintsFromSetBasvuruListesi(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $uetdsVizeBasvuruListeSonucBasvuruListesiItem) {
            // validation for constraint: itemType
            if (!$uetdsVizeBasvuruListeSonucBasvuruListesiItem instanceof \StructType\SinirVizeBasvuruListe) {
                $invalidValues[] = is_object($uetdsVizeBasvuruListeSonucBasvuruListesiItem) ? get_class($uetdsVizeBasvuruListeSonucBasvuruListesiItem) : sprintf('%s(%s)', gettype($uetdsVizeBasvuruListeSonucBasvuruListesiItem), var_export($uetdsVizeBasvuruListeSonucBasvuruListesiItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The basvuruListesi property can only contain items of type \StructType\SinirVizeBasvuruListe, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set basvuruListesi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\SinirVizeBasvuruListe[] $basvuruListesi
     * @return \StructType\UetdsVizeBasvuruListeSonuc
     */
    public function setBasvuruListesi(array $basvuruListesi = array())
    {
        // validation for constraint: array
        if ('' !== ($basvuruListesiArrayErrorMessage = self::validateBasvuruListesiForArrayConstraintsFromSetBasvuruListesi($basvuruListesi))) {
            throw new \InvalidArgumentException($basvuruListesiArrayErrorMessage, __LINE__);
        }
        if (is_null($basvuruListesi) || (is_array($basvuruListesi) && empty($basvuruListesi))) {
            unset($this->basvuruListesi);
        } else {
            $this->basvuruListesi = $basvuruListesi;
        }
        return $this;
    }
    /**
     * Add item to basvuruListesi value
     * @throws \InvalidArgumentException
     * @param \StructType\SinirVizeBasvuruListe $item
     * @return \StructType\UetdsVizeBasvuruListeSonuc
     */
    public function addToBasvuruListesi(\StructType\SinirVizeBasvuruListe $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SinirVizeBasvuruListe) {
            throw new \InvalidArgumentException(sprintf('The basvuruListesi property can only contain items of type \StructType\SinirVizeBasvuruListe, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->basvuruListesi[] = $item;
        return $this;
    }
}
